Subject: Re: linux-next build failure

From: Al Viro <[email-masked]>
Date: Mon, 12 May 2014 18:05:20 +0100

On Mon, May 12, 2014 at 09:18:42AM -0400, Mark Salter wrote:
> I'm seeing a build failure in linux-net for c6x (!CONFIG_MMU):
> 
>   fs/binfmt_elf_fdpic.c: In function ‘elf_fdpic_dump_segments’:
>   fs/binfmt_elf_fdpic.c:1490:17: warning: unused variable ‘addr’ [-Wunused-variable]
>      unsigned long addr;
>                  ^
> This was introduced by this patch:
> 
>   Author: Al Viro <[email-masked]>
>   Date:   Sat Oct 5 18:58:47 2013 -0400
> 
>       convert the rest of binfmt_elf_fdpic to dump_emit()

... in the mainline since 3.13.  What has changed in -next?

We could put ifndef CONFIG_MMU around that declaration, I guess...

PS: Pity that we can't really use -std=gnu99 - use of compound literals
in initializers is too widespread ;-/  The last time I tried to do something
about that, I gave up when I got to __pgprot() users; in principle, we
could switch pgprot_t to a bitwise type and let sparse take care of the
typechecking, but it was too much work to pull off.  Might be worth
trying again someday...